%global git_ver 5a83a81
Name:           kf5-kate
Version:        5.0.0~%{git_ver}
Release:        1
Summary:        Advanced Text Editor
License:        LGPLv2 and LGPLv2+ and GPLv2+
Url:            http://www.kde.org/
Source0:        kate-%{git_ver}.tar.bz2
#Patch0:         kate-4.12.90-python_library_realpath.patch
BuildRequires:  fdupes
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtscript-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
#BuildRequires:  kf5-kbookmarks-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kf5-kguiaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kinit-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kitemmodels-devel
BuildRequires:  kf5-kjobwidgets-devel
BuildRequires:  kf5-knewstuff-devel
BuildRequires:  kf5-knotifyconfig-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  kf5-ktexteditor-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-kxmlgui-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-threadweaver-devel
BuildRequires:  desktop-file-utils
Conflicts:      kate
Provides:       kate-kf5
Requires:       %{name}-part = %{version}

%description
%{summary}.


%package part
Summary:        Kate part plugin
License:		LGPLv2
%description part
%{summary}.
Provides:		kf5-kate-part

%package devel
Summary:  Development files for %{name}
Requires: %{name}-libs
#Requires: kdelibs4-devel
%description devel
%{summary}.

%package libs 
Summary:  Runtime files for %{name}
# when split occurred
Requires: %{name} = %{version}-%{release}
%description libs 
%{summary}.

%package kwrite
Summary: Text Editor
License: LGPLv2+
# when split occurred
Requires: %{name}-part
#Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}
%description kwrite
%{summary}.



%prep
%setup -q -n kate
#%patch0 -p1 -b .python_library_realpath

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}

/usr/bin/fdupes -s %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post part -p /sbin/ldconfig

%postun part -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_kf5_datadir}/doc/HTML/en/kate/
%dir %{_kf5_datadir}/katexmltools/
%dir %{_kf5_datadir}/kateproject/
%dir %{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.katesessions/
%{_kf5_libdir}/libkdeinit5_kate.so
%{_kf5_bindir}/kate
#%{_kf5_datadir}/kconf_update/*
%{_sysconfdir}/xdg/katerc
%{_kf5_qtplugindir}/plasma/dataengine/plasma_engine_katesessions.so
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/applications/org.kde.kate.desktop
%{_kf5_datadir}/appdata/org.kde.kate.appdata.xml
%{_kf5_datadir}/katexmltools/*
%{_kf5_datadir}/kateproject/*
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.katesessions/*/*/*
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.katesessions/metadata.desktop
%{_kf5_datadir}/plasma/services/*
%{_mandir}/man1/kate.1.gz

%files part
%defattr(-,root,root)
%doc %{_kf5_datadir}/doc/HTML/en/katepart/
%dir %{_kf5_datadir}/kxmlgui5/kate*
%{_sysconfdir}/xdg/ktexteditor_codesnippets_core.knsrc
%{_kf5_qtplugindir}/ktexteditor/*.so
%{_kf5_datadir}/kxmlgui5/kate*/*.rc
%{_kf5_datadir}/kxmlgui5/tabswitcher/*.rc

%files kwrite
%defattr(-,root,root)
%doc %{_kf5_datadir}/doc/HTML/en/kwrite/
%{_kf5_bindir}/kwrite
%{_kf5_libdir}/libkdeinit5_kwrite.so
%{_kf5_datadir}/applications/org.kde.kwrite.desktop
%{_kf5_datadir}/appdata/org.kde.kwrite.appdata.xml
%{_kf5_datadir}/kxmlgui5/kwrite/*.rc


%changelog
* Sun Jan 18 2015 Rajeesh K V <rajeesh@inflo.ws> 5.0.0~5a83a81-1
- Initial build
